CppUnit project page | FAQ | CppUnit home page

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Functor Class Reference

`#include <Protector.h>`

Inheritance diagram for Functor:
[legend]

List of all members.

## Public Member Functions
virtual | ~Functor ()
virtual bool | operator() () const =0

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN Functor::~Functor | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool Functor::operator() | ( |  | ) | const`[pure virtual]`

Implemented in ProtectorChain::ProtectFunctor, and TestCaseMethodFunctor.

The documentation for this class was generated from the following files:

- Protector.h
- Protector.cpp

| hosts this site. |  | Send comments to: CppUnit Developers